Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1738548 - Parameter --openscap-proxy-id is missing in hammer host create command.
Summary: Parameter --openscap-proxy-id is missing in hammer host create command.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: SCAP Plugin
Version: 6.4
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: 6.8.0
Assignee: satellite6-bugs
QA Contact: Radek Mynar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-07 12:31 UTC by shisingh
Modified: 2020-10-27 12:59 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 12:59:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 12:59:20 UTC

Description shisingh 2019-08-07 12:31:51 UTC
Description of problem: 

While trying to create a host using hammer command, not able to specify openscap  capsule as the parameter --openscap-proxy-id parameter is missing in Red Hat Satellite 6.4 Server


Version-Release number of selected component (if applicable): Red Hat Satellite 6.4


How reproducible: Every time you try to create a host using hammer command.


Steps to Reproduce:
1. Login to any CLI of any Red Hat Satellite 6.4 Server

2.Execute below hammer command to list parameters:

  # hammer host create --help | grep -i openscap



Actual results: No output is provided, as no parameter is available on the Satellite Server


Expected results: It should provide us with the parameters using which we can specify the OpenSCAP capsule as mentioned below:

# hammer host create --help | grep openscap
 --openscap-proxy-id OPENSCAP_PROXY_ID   


Additional info: Reproduced the scenario on Red Hat Satellite 6.5 Server and it is working as expected.

Comment 3 Ondřej Pražák 2019-11-18 11:57:51 UTC
The option should be present in the 6.7 snaps, could QE verify?

Comment 5 Radek Mynar 2020-06-01 11:54:16 UTC
VERIFIED with 
Red Hat Satellite (build: 6.7.0) - hammer (0.19.2.1)
Red Hat Satellite (build: 6.8.0 Beta) - hammer (2.1.0)

Comment 6 Radek Mynar 2020-06-01 12:51:19 UTC
More details:
Red Hat Satellite (build: 6.7.0)[SNAP 20] - hammer (0.19.2.1)
Red Hat Satellite (build: 6.8.0 Beta)[SNAP 1] - hammer (2.1.0)

Verified using steps from initial comment:

# hammer host create --help | grep -i openscap
 --openscap-proxy-id OPENSCAP_PROXY_ID                         ID of OpenSCAP Capsule

Comment 9 errata-xmlrpc 2020-10-27 12:59:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.